Bug 1962879 (CVE-2020-15522) - CVE-2020-15522 bouncycastle: Timing issue within the EC math library
Summary: CVE-2020-15522 bouncycastle: Timing issue within the EC math library
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-15522
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1962881
TreeView+ depends on / blocked
 
Reported: 2021-05-20 17:17 UTC by Pedro Sampaio
Modified: 2022-03-23 08:22 UTC (History)
87 users (show)

Fixed In Version: bouncycastle 1.66
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in bouncycastle. A timing issue within the EC math library can expose information about the private key when an attacker is able to observe timing information for the generation of multiple deterministic ECDSA signatures.
Clone Of:
Environment:
Last Closed: 2021-07-15 15:54:39 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:2755 0 None None None 2021-07-15 15:26:23 UTC
Red Hat Product Errata RHSA-2021:5134 0 None None None 2021-12-14 21:35:13 UTC
Red Hat Product Errata RHSA-2022:1013 0 None None None 2022-03-22 15:34:07 UTC
Red Hat Product Errata RHSA-2022:1029 0 None None None 2022-03-23 08:22:51 UTC

Description Pedro Sampaio 2021-05-20 17:17:31 UTC
Bouncy Castle BC Java before 1.66, BC C# .NET before 1.8.7, BC-FJA before 1.0.1.2, 1.0.2.1, and BC-FNA before 1.0.1.1 have a timing issue within the EC math library that can expose information about the private key when an attacker is able to observe timing information for the generation of multiple deterministic ECDSA signatures.

https://github.com/bcgit/bc-csharp/wiki/CVE-2020-15522
https://www.bouncycastle.org/releasenotes.html
https://github.com/bcgit/bc-java/wiki/CVE-2020-15522

Comment 13 errata-xmlrpc 2021-07-15 15:26:19 UTC
This issue has been addressed in the following products:

  Red Hat EAP-XP 2.0.0 via EAP 7.3.x base

Via RHSA-2021:2755 https://access.redhat.com/errata/RHSA-2021:2755

Comment 14 Product Security DevOps Team 2021-07-15 15:54:39 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-15522

Comment 16 errata-xmlrpc 2021-12-14 21:35:10 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.10

Via RHSA-2021:5134 https://access.redhat.com/errata/RHSA-2021:5134

Comment 17 errata-xmlrpc 2022-03-22 15:34:04 UTC
This issue has been addressed in the following products:

  RHINT Camel-Q 2.2.1

Via RHSA-2022:1013 https://access.redhat.com/errata/RHSA-2022:1013

Comment 18 errata-xmlrpc 2022-03-23 08:22:47 UTC
This issue has been addressed in the following products:

  RHINT Camel-K 1.6.4

Via RHSA-2022:1029 https://access.redhat.com/errata/RHSA-2022:1029


Note You need to log in before you can comment on or make changes to this bug.